# getLocation

## Description

Get the current location details (GPS coordinate) of the device.

## Input / Parameters

| No | Name               | Description                               | Data Type | Required | Example         |
| -- | ------------------ | ----------------------------------------- | --------- | -------- | --------------- |
| 1  | timeout            | Connection time out period in millisecond | Integer   | Yes      | 1000, 2000, ... |
| 2  | enableHighAccuracy | Enable High Accuracy                      | Boolean   | No       |                 |

## Output

## Callback

## Video

## Example

Users want to detect current location from current device.

### Step

1. Call the function.\
   timeout: 30000 (connection timeout after 30 seconds)\
   enableHighAccuracy: true

   ![](/files/4YMcbucIrGsUJVS6K0YA)
2. In callback, add a console -> use input function to view the result.

   ![](/files/QdqYgSiwsSFnsbLi7oqp)

### Result

User will see the result below in console:\
\&#xNAN;**{** accuracy: 20\
altitude: null\
altitudeAccuracy: null\
heading: null\
lat: 3.1319238\
latLng: "3.1319238,101.63117249999999"\
latitude: 3.1319238\
long: 101.63117249999999\
longitude: 101.63117249999999\
speed: null\
timestamp: 1554082377187 **}**

## Links

### Notes

* timeout format is in millisecond (ms).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/device/getlocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
